Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.component
Class SchemaProcessorTransformer

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.sax.AbstractSAXTransformer
                      org.apache.cocoon.sax.component.SchemaProcessorTransformer

All Implemented Interfaces:
  Consumer, PipelineComponent, Producer, SAXConsumer, SAXPipelineComponent, SAXProducer, ContentHandler, LexicalHandler

    public final class SchemaProcessorTransformer

extends AbstractSAXTransformer

Constructor Summary
`SchemaProcessorTransformer()`
`SchemaProcessorTransformer(URL source)`

Method Summary
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`protected void` | `setSAXConsumer(SAXConsumer xmlConsumer)`
`String` | `toString()`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXTransformer
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, endSAXRecording, ignorableWhitespace, processingInstruction, removeRecorder, sendEndPrefixMapping, sendStartPrefixMapping, setDocumentLocator, setRecorder, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, startSAXRecording`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setup`

Constructor Detail

### SchemaProcessorTransformer

    public SchemaProcessorTransformer()

### SchemaProcessorTransformer

    public SchemaProcessorTransformer(URL source)

Method Detail

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Description copied from interface: `PipelineComponent`
  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `AbstractPipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractSAXProducer`

### setSAXConsumer

    protected void setSAXConsumer(SAXConsumer xmlConsumer)

  Overrides:
    `setSAXConsumer` in class `AbstractSAXProducer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.